Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 312345

Summary: kde-base/konsole-4.4.2 does not save the status of profiles at kde exit
Product: Gentoo Linux Reporter: Francesco Lamonica <alienpenguin>
Component: [OLD] KDEAssignee: Gentoo KDE team <kde>
Status: RESOLVED NEEDINFO    
Severity: normal CC: esigra, vincent, Wizzleby
Priority: High    
Version: 10.1   
Hardware: AMD64   
OS: Linux   
URL: https://bugs.kde.org/show_bug.cgi?id=251062
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 313999    

Description Francesco Lamonica 2010-03-31 10:20:56 UTC
When managing konsole's profile there is a checkbox stating if that profile should be shown on the menu. This setting is not saved, and after restarting the newly added profiles do not show in konsole menu.

Reproducible: Always

Steps to Reproduce:
1.add a konsole profile
2.check "show in menu"
3.click ok
4.exit kde
5. start kde and konsole

Actual Results:  
the profile entry is not shown in menu (it is actually stored but does not show up as selectable)

Expected Results:  
the new profile should be selectable in the menu 

emerge --info
Portage 2.1.7.17 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.10.1-r1, 2.6.33-gentoo x86_64)
=================================================================
System uname: Linux-2.6.33-gentoo-x86_64-AMD_Phenom-tm-_II_X4_945_Processor-with-gentoo-1.12.13
Timestamp of tree: Wed, 31 Mar 2010 09:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.8.5-r3, 1.9.6-r2, 1.10.3
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 skype-eula"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=k8 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests candy ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch userprov usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1"
LINGUAS="en it"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi aften akode alsa amazon amd64 amr amrnb amrwb animgif audiofile bluetooth branding bzip2 cairo ccache cdr cleartype cli consolekit cracklib crypt cscope cups curl cxx dbus dri dts dvd dvdr encode exif fam ffmpeg firefox flac foomaticdb gcrypt gd gdbm gif gimp gkrellm gpm gsm gtk hardened iconv imagemagick ipod java java6 jpeg lame lcms libgcrypt libssh2 logrotate loop-aes mad matroska mmx mmxext mng modules mp3 mp4 mpeg mpeg2 mplayer mudflap multilib musepack musicbrainz ncurses nls nptl nptlonly nsplugin ogg opencore-amr opengl openmp openssl opensslcrypt pam pango pcre pdf perl phonon plasma png ppds pppd python qt3support qt4 readline reflection samba sdl session smp sndfile speex spell spl sql sqlite3 sse sse2 sse3 sse4.1 sse4.2 sse4a sse5 ssl startup-notification subversion svg svnserve swat sysfs syslog tcpd theora tiff truetype unicode usb v4l v4l2 vorbis webkit x264 xcb xcomposite xinerama xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en it" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa nv nvidia radeonhd vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Ai Locke Shinseiko (Wizzleby) 2010-04-16 12:57:40 UTC
Can confirm this behaviour with konsole-4.4.2.
After exiting KDE, (without exiting konsole first), konsole forgets that user had checked 'show in menu'.
Hoever, if konsole is exited cleanly first (for example, choosing exit from menu), and then kde is exited and relaunched, I see the entry in menu as it should be.
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2010-06-09 18:09:20 UTC
No precise upstream bug yet, but a multitude of general issues with profile handling
Comment 3 Vicente Olivert Riera (RETIRED) gentoo-dev 2010-06-11 14:48:26 UTC
I don't have this problem with konsole-4.4.4
Comment 4 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-08-21 15:07:45 UTC
@ Francesco: Resolving this per comment 3. Please reopen if the problem persists for you. Thanks
Comment 5 Francesco Lamonica 2010-08-30 12:11:37 UTC
It works, but only if the konsole window is closed by menu entry File/Quit. If the window is closed by the X button or by simply "exiting" the last console tab, then the settings are not saved. I dunno if it should be re-opened
Comment 6 Andreas K. Hüttel archtester gentoo-dev 2010-08-30 12:18:40 UTC
(In reply to comment #5)
> It works, but only if the konsole window is closed by menu entry File/Quit. If
> the window is closed by the X button or by simply "exiting" the last console
> tab, then the settings are not saved. I dunno if it should be re-opened
> 

Reopening then...
Comment 7 Andreas K. Hüttel archtester gentoo-dev 2011-03-05 17:59:08 UTC
Anyone still seeing this with kde-4.5, kde-4.6? 
Are you sure this is the right upstream bug?
Comment 8 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-03-05 18:00:41 UTC
Sho told me that it may be rellevant
Comment 9 Andreas K. Hüttel archtester gentoo-dev 2011-05-09 20:41:51 UTC
No replies about kde-4.6 for two months...
Comment 10 Francesco Lamonica 2011-05-10 07:05:45 UTC
Hello Andrea, i have no idea if this is still relevant or not, i am using a stable amd64 and kde is still 4.4.5.